clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::Annotations Class Reference

Same as llvm::Annotations, but adjusts functions to LSP-specific types for positions and ranges. More...

`#include <Annotations.h>`

Inheritance diagram for clang::clangd::Annotations:
[legend]
Collaboration diagram for clang::clangd::Annotations:
[legend]

## Public Member Functions
Position | point (llvm::StringRef Name="") const
std::vector< Position > | points (llvm::StringRef Name="") const
clangd::Range | range (llvm::StringRef Name="") const
std::vector< clangd::Range > | ranges (llvm::StringRef Name="") const

## Detailed Description

Same as llvm::Annotations, but adjusts functions to LSP-specific types for positions and ranges.

Definition at line 23 of file Annotations.h.

## Member Function Documentation

## ◆ point()

Position clang::clangd::Annotations::point | ( | llvm::StringRef | Name = `""` | ) | const

Definition at line 15 of file Annotations.cpp.

References clang::clangd::offsetToPosition().

## ◆ points()

std::vector< Position > clang::clangd::Annotations::points | ( | llvm::StringRef | Name = `""` | ) | const

Definition at line 19 of file Annotations.cpp.

References Offsets, and clang::clangd::offsetToPosition().

Referenced by clang::clangd::TweakTest::expandCases().

## ◆ range()

clangd::Range clang::clangd::Annotations::range | ( | llvm::StringRef | Name = `""` | ) | const

Definition at line 37 of file Annotations.cpp.

References clang::clangd::toLSPRange().

Referenced by clang::clangd::TEST_F().

## ◆ ranges()

std::vector< clangd::Range > clang::clangd::Annotations::ranges | ( | llvm::StringRef | Name = `""` | ) | const

Definition at line 41 of file Annotations.cpp.

References Range, and clang::clangd::toLSPRange().

Referenced by clang::clangd::TweakTest::expandCases().

The documentation for this class was generated from the following files:

- Annotations.h
- Annotations.cpp